function zdot = Viberhs(t,z,p)
%Right hand side for general multi-DoF vibrations problem
M = p.M; K = p.K; C = p.C; F0 = p.F0; omega = p.omega;
n = length(z)/2;  % number masses
x = z(1:n); v= z(n+1:end);   % Unpack z into understandable variables
%x is x1 and x2.  v is v1 and v2.

% Tne next two lines are the ODEs, written with sensible variables
  xdot = v;            % Basic kinematics
  vdot = -M^(-1)*(K*x + C*v - F0*sin(omega*t)); %F= ma for all the masses 
  
zdot = [xdot;vdot];  % Pack zdot into a 4 element column vector
end %function

